commit:     d5fdb7d569488c4f4a33a6d1cae714d45b5a4f56
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  7 22:34:53 2018 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Wed Feb  7 22:38:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5fdb7d5

app-emulation/libguestfs: version bump 1.36.5 → 1.36.13

    * Now compatible with >=glibc-2.26, bug #638180.
    * Make sure USE=introspection explicitely passes configure switch as we
      might split glib/gobject from introspection at some point.
    * Switch to perl-functions eclass as advised in bug #629946.
    * Restore USE=ocaml as I could not bug #629490 from provided info.
    * Fix pkg_postinst feature check on USE=gtk.
    * Fix build with FEATURES=test by disabling -Werror always. It makes no
      sense to enable this flag for a release, bug #640494.
    * Add myself to maintainers.

    Closes: https://bugs.gentoo.org/629690
    Closes: https://bugs.gentoo.org/629946
    Closes: https://bugs.gentoo.org/638180
    Closes: https://bugs.gentoo.org/640494

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-emulation/libguestfs/Manifest                  |   1 +
 app-emulation/libguestfs/libguestfs-1.36.13.ebuild | 173 +++++++++++++++++++++
 app-emulation/libguestfs/metadata.xml              |   4 +
 3 files changed, 178 insertions(+)

diff --git a/app-emulation/libguestfs/Manifest 
b/app-emulation/libguestfs/Manifest
index d3685b72382..6dd41368a28 100644
--- a/app-emulation/libguestfs/Manifest
+++ b/app-emulation/libguestfs/Manifest
@@ -1,2 +1,3 @@
 DIST libguestfs-1.28.5.tar.gz 12747537 BLAKE2B 
b0cc023efef41955c4b448b68bd5578d88d305364afdc1fc24c7d26ba5fae4a1b81ee58799d42774ea28e162208edbf36a0e49c1a7e4f751c74e9c45e9a472a6
 SHA512 
5ab25498fa9141950c1077cc52bae05a2781fa86a983b5fa49fbd4a4bca70710db3d4f7b9f45fb6f8b4ee8e3d77ffde7c4c0d9e9e526443e2a8251a62306ebb6
+DIST libguestfs-1.36.13.tar.gz 22886310 BLAKE2B 
b0961cc6b941f1b68bba23af72e8b5478ed33da6f343e453f90decd7454cfc6a94cf67a81ad59c443df744727afa9bd4e98c77411efc4134e3422eaae59ffff5
 SHA512 
7c9799d5d563ffd8296f70a8402582aba85f3bf3c0dcaa18c44ecff5b7f771a3bc3f297aa85a4056351758298c79752d456a4b46e41924ff9acf196c992d51fb
 DIST libguestfs-1.36.5.tar.gz 23012703 BLAKE2B 
31dcbef2ae1c287c4a353f671e6073cdb4eb2c7173666ff9589ed0e0ce909c2dfa00f2da14b40a0a6a9384dd830082f1f721b0c1dafabe2862391f0f75ff3f3d
 SHA512 
01f10ab902386130f0565f53d0c361b903d6790b572e5562a2180e896952ead2e7661795bd976a7e2442887ea17014a6767db8b6e575de634f32de82ca4124c6

diff --git a/app-emulation/libguestfs/libguestfs-1.36.13.ebuild 
b/app-emulation/libguestfs/libguestfs-1.36.13.ebuild
new file mode 100644
index 00000000000..16835babf72
--- /dev/null
+++ b/app-emulation/libguestfs/libguestfs-1.36.13.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit autotools linux-info perl-functions python-single-r1 versionator
+
+MY_PV_1="$(get_version_component_range 1-2)"
+MY_PV_2="$(get_version_component_range 2)"
+[[ $(( $(get_version_component_range 2) % 2 )) -eq 0 ]] && SD="stable" || 
SD="development"
+
+DESCRIPTION="Tools for accessing, inspect  and modifying virtual machine (VM) 
disk images"
+HOMEPAGE="http://libguestfs.org/";
+SRC_URI="http://libguestfs.org/download/${MY_PV_1}-${SD}/${P}.tar.gz";
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/"${MY_PV_1}""
+
+KEYWORDS="~amd64"
+IUSE="bash-completion debug doc erlang +fuse gtk inspect-icons introspection 
lua ocaml +perl python ruby selinux static-libs systemtap test"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# Failures - doc
+# Failures - bash-completion, see GBZ #486306
+
+# FIXME: selinux support is automagic
+COMMON_DEPEND="
+       sys-libs/ncurses:0=
+       sys-devel/gettext
+       >=app-misc/hivex-1.3.1
+       dev-libs/libpcre:3
+       app-arch/cpio
+       dev-lang/perl
+       virtual/cdrtools
+       
>=app-emulation/qemu-2.0[qemu_softmmu_targets_x86_64,systemtap?,selinux?,filecaps]
+       sys-apps/fakeroot
+       sys-apps/file
+       app-emulation/libvirt
+       dev-libs/libxml2:2
+       >=sys-apps/fakechroot-2.8
+       >=app-admin/augeas-1.0.0
+       sys-fs/squashfs-tools:*
+       dev-libs/libconfig
+       sys-libs/readline:0=
+       >=sys-libs/db-4.6:*
+       app-arch/xz-utils
+       app-arch/lzma
+       app-crypt/gnupg
+       app-arch/unzip[natspec]
+       perl? (
+               virtual/perl-ExtUtils-MakeMaker
+               >=dev-perl/Sys-Virt-0.2.4
+               virtual/perl-Getopt-Long
+               virtual/perl-Data-Dumper
+               dev-perl/libintl-perl
+               >=app-misc/hivex-1.3.1[perl?]
+               dev-perl/String-ShellQuote
+       )
+       python? ( ${PYTHON_DEPS} )
+       fuse? ( sys-fs/fuse:= )
+       introspection? (
+               >=dev-libs/glib-2.26:2
+               >=dev-libs/gobject-introspection-1.30.0:=
+               dev-libs/gjs
+       )
+       selinux? (
+               sys-libs/libselinux
+               sys-libs/libsemanage
+       )
+       systemtap? ( dev-util/systemtap )
+       ocaml? (
+               >=dev-lang/ocaml-4.02[ocamlopt]
+               dev-ml/findlib[ocamlopt]
+               dev-ml/ocaml-gettext
+               >=dev-ml/ounit-2
+       )
+       erlang? ( dev-lang/erlang )
+       inspect-icons? (
+               media-libs/netpbm
+               media-gfx/icoutils
+       )
+       virtual/acl
+       sys-libs/libcap
+       lua? ( dev-lang/lua:* )
+       >=app-shells/bash-completion-2.0
+       >=dev-libs/yajl-2.0.4
+       gtk? (
+               sys-apps/dbus
+               x11-libs/gtk+:3
+       )
+       net-libs/libtirpc
+       sys-libs/libxcrypt
+       "
+DEPEND="${COMMON_DEPEND}
+       dev-util/gperf
+       doc? ( app-text/po4a )
+       ruby? ( dev-lang/ruby virtual/rubygems dev-ruby/rake )
+       "
+RDEPEND="${COMMON_DEPEND}
+       app-emulation/libguestfs-appliance
+       "
+
+DOCS=( AUTHORS BUGS ChangeLog HACKING README TODO )
+
+pkg_setup () {
+               CONFIG_CHECK="~KVM ~VIRTIO"
+               [ -n "${CONFIG_CHECK}" ] && check_extra_config;
+
+               use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       eapply "${FILESDIR}"/${MY_PV_1}/0001-Update-libtool-initialization.patch
+       eapply 
"${FILESDIR}"/${MY_PV_1}/0002-Add-support-for-Gentoo-in-distribution-detection.patch
+       eapply_user
+       eautoreconf
+}
+
+src_configure() {
+       # Disable feature test for kvm for more reason
+       # i.e: not loaded module in __build__ time,
+       # build server not supported kvm, etc. ...
+       #
+       # In fact, this feature is virtio support and requires
+       # configured kernel.
+       export vmchannel_test=no
+
+       econf \
+               --with-libvirt \
+               --with-default-backend=libvirt \
+               --disable-appliance \
+               --disable-daemon \
+               --with-extra="-gentoo" \
+               --with-readline \
+               --disable-php \
+               $(use_enable python) \
+               --without-java \
+               $(use_enable perl) \
+               $(use_enable fuse) \
+               $($use_enable ocaml) \
+               $(use_enable ruby) \
+               --disable-haskell \
+               --disable-golang \
+               $(use_enable introspection gobject) \
+               $(use_enable introspection) \
+               $(use_enable erlang) \
+               $(use_enable systemtap probes) \
+               $(use_enable lua) \
+               --with-gtk=$(usex gtk 3 no) \
+               $(usex doc '' PO4A=no)
+}
+
+src_install() {
+       strip-linguas -i po
+       emake DESTDIR="${D}" install "LINGUAS=""${LINGUAS}"""
+
+       use perl && perl_delete_localpod
+}
+
+pkg_postinst() {
+       if ! use gtk ; then
+               einfo "virt-p2v NOT installed"
+       fi
+       if ! use ocaml ; then
+               einfo "Ocaml based tools ( sysprep , ... ) NOT installed"
+       fi
+       if ! use perl ; then
+               einfo "Perl based tools NOT build"
+       fi
+}

diff --git a/app-emulation/libguestfs/metadata.xml 
b/app-emulation/libguestfs/metadata.xml
index 44378eae0f7..8a1be2d16af 100644
--- a/app-emulation/libguestfs/metadata.xml
+++ b/app-emulation/libguestfs/metadata.xml
@@ -10,6 +10,10 @@
        <name>Richard Jones</name>
        <description>Upstream - please CC on bugs that concerns 
upstream</description>
 </maintainer>
+<maintainer type="person">
+       <email>e...@gentoo.org</email>
+       <name>Gilles Dartiguelongue</name>
+</maintainer>
 <longdescription>Libguestfs is a library and tool set for accessing and 
 modifying virtual machine (VM) disk images</longdescription>
 <use>

Reply via email to